#include "common.glsl"

void main()
{
  lowp vec4 valor_textura ;

  if ( g_DatosMaterial.numTextures == 1 ) valor_textura = texture2D(shader_texture_ids[0], text_coord[0]) ;
  else {

    valor_textura.rgb = texture2D(shader_texture_ids[0], text_coord[0]).rgb ;
    valor_textura.a = texture2D(shader_texture_ids[1], text_coord[1]).r ;
  }

  if ( valor_textura.a >= 0.00025 ) {

    gl_FragColor.rgb = ((valor_textura.rgb * light_final_intensity) + light_final_specular) /** valor_textura.a*/ ;
    gl_FragColor.a = valor_textura.a /** g_DatosMaterial.transparency*/ ;
  }
  else {
    discard ;
  }
}
